This is the mail archive of the cluster-cvs@sourceware.org mailing list for the cluster.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

RHEL5 - cmirror: Fix bug 462732 - cmirror init script shouldn't failto start if it's already started


Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=e04ecdfd2250c49b53c0d2ffaa49bf7c7f159131
Commit:        e04ecdfd2250c49b53c0d2ffaa49bf7c7f159131
Parent:        027ab643fa43ab1b97724b5702f55bcbe619b12e
Author:        Jonathan Brassow <jbrassow@redhat.com>
AuthorDate:    Wed Oct 8 16:18:22 2008 -0500
Committer:     Jonathan Brassow <jbrassow@redhat.com>
CommitterDate: Wed Oct 8 16:18:22 2008 -0500

cmirror:  Fix bug 462732 - cmirror init script shouldn't fail to start if it's already started

Make cmirror init script LSB compliant.
---
 cmirror/init.d/cmirror |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/cmirror/init.d/cmirror b/cmirror/init.d/cmirror
index fba99e1..170f004 100644
--- a/cmirror/init.d/cmirror
+++ b/cmirror/init.d/cmirror
@@ -30,15 +30,15 @@ start()
 	echo
 
         echo -n "Starting clustered mirror log server:"
-	if ps -C aisexec >& /dev/null; then
-	    clogd >& /dev/null
-	else
+	if ! ps -C aisexec >& /dev/null; then
 	    failure "startup"
 	    echo
 	    echo "  Cluster infrastructure is not running"
 	    return 1
 	fi
 
+	ps -C clogd >& /dev/null || clogd >& /dev/null
+
 	rtrn=$?
         if [ $rtrn -eq 0 ]; then
                 success "startup"


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]